2017 © Pedro Peláez
 

library gedmo

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

image

rhrebecek/gedmo

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

  • Monday, November 2, 2015
  • by rhrebecek
  • Repository
  • 1 Watchers
  • 0 Stars
  • 298 Installations
  • PHP
  • 0 Dependents
  • 0 Suggesters
  • 13 Forks
  • 0 Open issues
  • 6 Versions
  • 0 % Grown

The README.md

Rixxi/Gedmo

Requirements

Rixxi/Gedmo requires Kdyby/Doctrine, (*1)

Installation

The best way to install Rixxi/Gedmo is using Composer:, (*2)

$ composer require rixxi/gedmo

Configuration

The best way to install Rixxi/Gedmo is using Composer:, (*3)

extensions:
    gedmo: Rixxi\Gedmo\DI\OrmExtension
    # you should probably register Kdyby/Doctrine too
    doctrine: Kdyby\Doctrine\DI\OrmExtension

gedmo:
    translatableLocale: cs_CZ
    defaultLocale: cs_CZ

    # enable all annotations
    all: on
    # enable per annotation
    loggable: on
    sluggable: on
    softDeleteable: on
    sortable: on
    timestampable: on
    translatable: on
    tree: on
    uploadable: on

# you must add bit type to your doctrine connection and soft-deleteable to filters
doctrine:
    types:
        bit: Doctrine\DBAL\Types\BooleanType

    filters:
        # without this softDeleteable won't work...            ...probably
        soft-deleteable: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter

Repository http://github.com/rixxi/gedmo., (*4)

The Versions

02/11 2015

dev-master

9999999-dev

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

 

12/11 2014

1.0.2

1.0.2.0

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

 

22/05 2014

dev-feature_pr_6

dev-feature_pr_6

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

 

15/05 2014

1.0.1

1.0.1.0

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

 

15/05 2014

1.0.0

1.0.0.0

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires

 

13/03 2014

dev-pr_6_norebase

dev-pr_6_norebase

Gedmo Doctrine Extensions integration into Nette Framework using Kdyby/Doctrine

  Sources   Download

GPL-3.0 BSD-3-Clause GPL-2.0

The Requires